import { AutoMap } from '@automapper/classes';
import { IsOptional, IsString } from 'class-validator';
import { CoordinatesDto as CoordinatesDto } from './coordinates.dto';

export class AddressDto extends CoordinatesDto {
  @IsOptional()
  @AutoMap()
  name?: string;

  @IsOptional()
  @IsString()
  @AutoMap()
  houseNumber?: string;

  @IsOptional()
  @IsString()
  @AutoMap()
  street?: string;

  @IsOptional()
  @IsString()
  @AutoMap()
  locality?: string;

  @IsOptional()
  @IsString()
  @AutoMap()
  postalCode?: string;

  @IsString()
  @AutoMap()
  country: string;
}
